# Uses of Class
org.apache.lucene.search.vectorhighlight.FieldPhraseList.WeightedPhraseInfo

Packages that use FieldPhraseList.WeightedPhraseInfo
Package
Description
org.apache.lucene.search.vectorhighlight
Another highlighter implementation based on term vectors.

- ## Uses of FieldPhraseList.WeightedPhraseInfo in org.apache.lucene.search.vectorhighlight

  Methods in org.apache.lucene.search.vectorhighlight that return types with arguments of type FieldPhraseList.WeightedPhraseInfo
  Modifier and Type
  Method
  Description
  `List<FieldPhraseList.WeightedPhraseInfo>`
  FieldPhraseList.`getPhraseList()`
  return the list of WeightedPhraseInfo.
  Methods in org.apache.lucene.search.vectorhighlight with parameters of type FieldPhraseList.WeightedPhraseInfo
  Modifier and Type
  Method
  Description
  `protected boolean`
  BaseFragListBuilder.`acceptPhrase(FieldPhraseList.WeightedPhraseInfo info, int matchLength, int fragCharSize)`
  A predicate to decide if the given `FieldPhraseList.WeightedPhraseInfo` should be accepted as a highlighted phrase or if it should be discarded.
  `void`
  FieldPhraseList.`addIfNoOverlap(FieldPhraseList.WeightedPhraseInfo wpi)`
  `int`
  FieldPhraseList.WeightedPhraseInfo.`compareTo(FieldPhraseList.WeightedPhraseInfo other)`
  `boolean`
  FieldPhraseList.WeightedPhraseInfo.`isOffsetOverlap(FieldPhraseList.WeightedPhraseInfo other)`
  Method parameters in org.apache.lucene.search.vectorhighlight with type arguments of type FieldPhraseList.WeightedPhraseInfo
  Modifier and Type
  Method
  Description
  `abstract void`
  FieldFragList.`add(int startOffset, int endOffset, List<FieldPhraseList.WeightedPhraseInfo> phraseInfoList)`
  convert the list of WeightedPhraseInfo to WeightedFragInfo, then add it to the fragInfos
  `void`
  SimpleFieldFragList.`add(int startOffset, int endOffset, List<FieldPhraseList.WeightedPhraseInfo> phraseInfoList)`
  `void`
  WeightedFieldFragList.`add(int startOffset, int endOffset, List<FieldPhraseList.WeightedPhraseInfo> phraseInfoList)`
  Constructor parameters in org.apache.lucene.search.vectorhighlight with type arguments of type FieldPhraseList.WeightedPhraseInfo
  Modifier
  Constructor
  Description
  ``
  `WeightedPhraseInfo(Collection<FieldPhraseList.WeightedPhraseInfo> toMerge)`
  Merging constructor.